---
lang: en
title: 'API docs: tsdocs.shouldgeneratetsdocs'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.tsdocs.shouldgeneratetsdocs.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [shouldGenerateTsDocs](./tsdocs.shouldgeneratetsdocs.md)

## shouldGenerateTsDocs() function

Check if a package should be processed for tsdocs

<b>Signature:</b>

```typescript
export declare function shouldGenerateTsDocs(pkg: LernaPackage): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pkg | <code>LernaPackage</code> | Lerna package |

<b>Returns:</b>

`boolean`


